<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'message',

    /*
     * Modules.
     */
    'modules'   => ['message'],

    
    'message'       => [
        'model' => [
            'model' => \Litepie\Message\Models\Message::class,
            'repository' => \Litepie\Message\Repositories\Eloquent\MessageRepository::class,
            'table' => 'messages',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'from_id',  'from_type',  'from_email',  'to_id',  'to_type',  'to_email',  'subject',  'message',  'folder',  'starred',  'readed',  'labels',  'user_id',  'user_type',  'slug',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'message/message',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Message',
            'module' => 'Message',
        ],
    ],
];
