Lavalite package that provides message management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/message`.

    "litepie/message": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Message\Providers\MessageServiceProvider::class,

And also add it to alias

    'Message'  => Litepie\Message\Facades\Message::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\Message\\Seeders\\MessageTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Message\Providers\MessageServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Message\Providers\MessageServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Message\Providers\MessageServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/message/{modulename}

**User**

    http://path-to-route-folder/user/message/{modulename}

**Public**

    http://path-to-route-folder/messages


### API endpoints

**List**

    http://path-to-route-folder/api/user/message/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/message/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/message/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/message/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/message/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/message/{modulename}/{slug}
    METHOD: GET