<?php

namespace Litepie\Message\Forms;

use Litepie\Form\FormInterpreter;

class Message extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('message/message/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('message/message/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('message/message'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('message/message'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('message/message'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('message/message'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('message::message.label.name'),
                "placeholder" => trans('message::message.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('message::message.label.created_at'),
            'name' => trans('message::message.label.name'),
            'status' => trans('message::message.label.status'),
        ];
        self::$groups = [
            'main' => trans('message::message.groups.main'),
            'details' => trans('message::message.groups.details'),
            'images' => trans('message::message.groups.images'),
            'settings' => trans('message::message.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('message::message.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('message::message.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('message::message.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('message::message.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'from_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('message::message.label.from_id'),
                "placeholder" => trans('message::message.placeholder.from_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'from_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('message::message.label.from_type'),
                "placeholder" => trans('message::message.placeholder.from_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'from_email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('message::message.label.from_email'),
                "placeholder" => trans('message::message.placeholder.from_email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'to_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('message::message.label.to_id'),
                "placeholder" => trans('message::message.placeholder.to_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'to_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('message::message.label.to_type'),
                "placeholder" => trans('message::message.placeholder.to_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'to_email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('message::message.label.to_email'),
                "placeholder" => trans('message::message.placeholder.to_email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subject' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('message::message.label.subject'),
                "placeholder" => trans('message::message.placeholder.subject'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'message' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('message::message.label.message'),
                "placeholder" => trans('message::message.placeholder.message'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'folder' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('message::message.label.folder'),
                "placeholder" => trans('message::message.placeholder.folder'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'starred' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('message::message.label.starred'),
                "placeholder" => trans('message::message.placeholder.starred'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'readed' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('message::message.label.readed'),
                "placeholder" => trans('message::message.placeholder.readed'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'labels' => [
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => trans('message::message.label.labels'),
                "placeholder" => trans('message::message.placeholder.labels'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
