<?php

namespace Litepie\Message\Repositories\Eloquent;

use Litepie\Message\Interfaces\MessageRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Message\Repositories\Eloquent\Presenters\MessageItemPresenter;


class MessageRepository extends BaseRepository implements MessageRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.message.message.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.message.message.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return MessageItemPresenter::class;
    }
}
